package hemomancer.relics;

import basemod.abstracts.CustomRelic;
import com.badlogic.gdx.graphics.Texture;
import com.megacrit.cardcrawl.actions.defect.ChannelAction;
import com.megacrit.cardcrawl.dungeons.AbstractDungeon;
import hemomancer.HemomancerMod;
import hemomancer.orbs.BloodMistOrb;
import hemomancer.orbs.DefaultOrb;
import hemomancer.util.TextureLoader;


public class BloodMistRelic extends CustomRelic {
    public static final String ID = HemomancerMod.makeID("BloodMistRelic");

    private static final Texture IMG = TextureLoader.getTexture(HemomancerMod.makeRelicPath("placeholder_relic.png"));
    private static final Texture OUTLINE = TextureLoader.getTexture(HemomancerMod.makeRelicOutlinePath("placeholder_relic.png"));

    public BloodMistRelic() {
        super(ID, IMG, OUTLINE, RelicTier.STARTER, LandingSound.CLINK);
    }

    @Override
    public void atBattleStartPreDraw() {
        AbstractDungeon.actionManager.addToBottom(new ChannelAction(new BloodMistOrb()));
    }
}
